Skip to content

Instantly share code, notes, and snippets.

Owen Kelly ojkelly

Block or report user

Report or block ojkelly

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
View keybase.md

Keybase proof

I hereby claim:

  • I am ojkelly on github.
  • I am ojkelly (https://keybase.io/ojkelly) on keybase.
  • I have a public key ASBV75ykPgzag3UwzY9-S3WUe8-hU1bf-4eNQ2KGgP4Ekwo

To claim this, I am signing this object:

@ojkelly
ojkelly / init.lua
Last active Aug 1, 2017
My hammerspoon config
View init.lua
local usbWatcher = nil
-- This is our usbWatcher function
-- lock when yubikey is removed
function usbDeviceCallback(data)
-- this line will let you know the name of each usb device you connect, useful for the string match below
hs.notify.show("USB", "You just connected", data["productName"])
-- Replace "Yubikey" with the name of the usb device you want to use.
if string.match(data["productName"], "Yubikey") then
if (data["eventType"] == "added") then
@ojkelly
ojkelly / clone-mysql-db.sh
Created Apr 26, 2016 — forked from christopher-hopper/clone-mysql-db.sh
Clone a MySQL database to a new database on the same server without using a dump file. This is much faster than using mysqldump.
View clone-mysql-db.sh
#!/bin/bash
DBUSER="root";
DBPASS="";
DBHOST="localhost";
DB_OLD=mydatabase
DB_NEW=clone_mydatabase
DBCONN="--host=${DBHOST} --user=${DBUSER} --password=${DBPASS}";
@ojkelly
ojkelly / yubitouch.sh
Created Jan 20, 2016 — forked from a-dma/yubitouch.sh
Bash script for setting or clearing touch requirements for cryptographic operations in the OpenPGP application on a YubiKey 4.
View yubitouch.sh
#!/bin/bash
# Bash script for setting or clearing touch requirements for
# cryptographic operations the OpenPGP application on a YubiKey 4.
#
# Author: Alessio Di Mauro <alessio@yubico.com>
GCA=$(which gpg-connect-agent)
DO=0
UIF=0
View .travis.yml
language: php
#
# Important to note, this is the version of PHP used to run this build, not the
# one used to run your Drupal installation. Ensure compatibility with the Drush
# and Terminus versions you're using for this build.
#
php:
- 5.3
You can’t perform that action at this time.